Package: org.codehaus.groovy.runtime

## [Java] Class GStringImpl

- org.codehaus.groovy.runtime.GStringImpl

-     public class GStringImpl
      extends GString

  Default implementation of a GString used by the compiler. A GString consist of a list of values and strings which can be combined to create a new String.

  See Also:
    GString

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GString` | `EMPTY, EMPTY_OBJECT_ARRAY, EMPTY_STRING_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GStringImpl (Object[] values, String[] strings)` Create a new GString with values and strings.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `codePointAt(int index)`
    `` | `public int` | `codePointBefore(int index)`
    `` | `public int` | `codePointCount(int beginIndex, int endIndex)`
    `` | `public int` | `compareTo(String anotherString)`
    `` | `public int` | `compareToIgnoreCase(String str)`
    `` | `public String` | `concat(String str)`
    `` | `public boolean` | `contains(CharSequence s)`
    `` | `public boolean` | `contentEquals(StringBuffer sb)`
    `` | `public boolean` | `contentEquals(CharSequence cs)`
    `` | `public boolean` | `endsWith(String suffix)`
    `` | `public boolean` | `equalsIgnoreCase(String anotherString)`
    `` | `public byte[]` | `getBytes(Charset charset)`
    `` | `public void` | `getChars(int srcBegin, int srcEnd, char[] dst, int dstBegin)`
    `` | `public String[]` | `getStrings()` Get the strings of this GString.
    `` | `public int` | `indexOf(int ch)`
    `` | `public int` | `indexOf(int ch, int fromIndex)`
    `` | `public int` | `indexOf(String str)`
    `` | `public int` | `indexOf(String str, int fromIndex)`
    `` | `public String` | `intern()`
    `` | `public boolean` | `isEmpty()`
    `` | `public int` | `lastIndexOf(int ch)`
    `` | `public int` | `lastIndexOf(int ch, int fromIndex)`
    `` | `public int` | `lastIndexOf(String str)`
    `` | `public int` | `lastIndexOf(String str, int fromIndex)`
    `` | `public boolean` | `matches(String regex)`
    `` | `public int` | `offsetByCodePoints(int index, int codePointOffset)`
    `` | `public boolean` | `regionMatches(int toffset, String other, int ooffset, int len)`
    `` | `public boolean` | `regionMatches(boolean ignoreCase, int toffset, String other, int ooffset, int len)`
    `` | `public String` | `replace(char oldChar, char newChar)`
    `` | `public String` | `replace(CharSequence target, CharSequence replacement)`
    `` | `public String` | `replaceAll(String regex, String replacement)`
    `` | `public String` | `replaceFirst(String regex, String replacement)`
    `` | `public String[]` | `split(String regex, int limit)`
    `` | `public String[]` | `split(String regex)`
    `` | `public boolean` | `startsWith(String prefix, int toffset)`
    `` | `public boolean` | `startsWith(String prefix)`
    `` | `public String` | `substring(int beginIndex)`
    `` | `public String` | `substring(int beginIndex, int endIndex)`
    `` | `public char[]` | `toCharArray()`
    `` | `public String` | `toLowerCase(Locale locale)`
    `` | `public String` | `toLowerCase()`
    `` | `public String` | `toUpperCase(Locale locale)`
    `` | `public String` | `toUpperCase()`
    `` | `public String` | `trim()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GString` | `build, charAt, compareTo, equals, equals, getBytes, getBytes, getStrings, getStrings, getValue, getValueCount, getValues, hashCode, invokeMethod, length, negate, plus, plus, subSequence, toString, toString, writeTo`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public GStringImpl(Object[] values, String[] strings)

      Create a new GString with values and strings.

      Each value is prefixed by a string, after the last value an additional String might be used. This means `strings.length == values.length || strings.length == values.length + 1`.

      NOTE: The lengths are not checked. Using different lengths might result in unpredictable behaviour.

      Parameters:
        `values` - the value parts
        `strings` - the string parts

  - ### Method Detail

    - #### public int codePointAt(int index)

    - #### public int codePointBefore(int index)

    - #### public int codePointCount(int beginIndex, int endIndex)

    - #### public int compareTo(String anotherString)

    - #### public int compareToIgnoreCase(String str)

    - #### public String concat(String str)

    - #### public boolean contains(CharSequence s)

    - #### public boolean contentEquals(StringBuffer sb)

    - #### public boolean contentEquals(CharSequence cs)

    - #### public boolean endsWith(String suffix)

    - #### public boolean equalsIgnoreCase(String anotherString)

    - #### public byte[] getBytes(Charset charset)

    - #### public void getChars(int srcBegin, int srcEnd, char[] dst, int dstBegin)

    - #### @Override public String[] getStrings()

      Get the strings of this GString.

      This methods returns the same array as used in the constructor. Changing the values will result in changes of the GString. It is not recommended to do so.

    - #### public int indexOf(int ch)

    - #### public int indexOf(int ch, int fromIndex)

    - #### public int indexOf(String str)

    - #### public int indexOf(String str, int fromIndex)

    - #### public String intern()

    - #### public boolean isEmpty()

    - #### public int lastIndexOf(int ch)

    - #### public int lastIndexOf(int ch, int fromIndex)

    - #### public int lastIndexOf(String str)

    - #### public int lastIndexOf(String str, int fromIndex)

    - #### public boolean matches(String regex)

    - #### public int offsetByCodePoints(int index, int codePointOffset)

    - #### public boolean regionMatches(int toffset, String other, int ooffset, int len)

    - #### public boolean regionMatches(boolean ignoreCase, int toffset, String other, int ooffset, int len)

    - #### public String replace(char oldChar, char newChar)

    - #### public String replace(CharSequence target, CharSequence replacement)

    - #### public String replaceAll(String regex, String replacement)

    - #### public String replaceFirst(String regex, String replacement)

    - #### public String[] split(String regex, int limit)

    - #### public String[] split(String regex)

    - #### public boolean startsWith(String prefix, int toffset)

    - #### public boolean startsWith(String prefix)

    - #### public String substring(int beginIndex)

    - #### public String substring(int beginIndex, int endIndex)

    - #### public char[] toCharArray()

    - #### public String toLowerCase(Locale locale)

    - #### public String toLowerCase()

    - #### public String toUpperCase(Locale locale)

    - #### public String toUpperCase()

    - #### public String trim()